using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using TABS.MailCarrier.WebSDK.Mail;

/// <summary>
/// 수신 확인 목록을 GridView에 출력하기 위한 데이터 소스 클래스입니다.
/// </summary>
public class ReadRecipientDataSource
{
    public ReadRecipientDataSource()
    {
    }

    public static ReadRecipient[] GetRecipients(string msgIdStr)
    {
        try
        {
            Guid msgId = new Guid(msgIdStr);
            Message message = new Message(msgId);
            return message.ReadReceipt;
        }
        catch
        {
            ReadRecipient[] recipients = new ReadRecipient[0];
            return recipients;
        }
    }

}
